Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class CurveRef

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.pf.registry.ItemReference
              de.grogra.rgg.Curve
                  de.grogra.rgg.CurveRef

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable

    public final class CurveRef

extends Curve

Nested Class Summary
`static class` | `CurveRef.Type`

Field Summary
`static CurveRef.Type` | `$TYPE`

Fields inherited from class de.grogra.pf.registry.ItemReference
`item, itemResolved, name$FIELD, object, objectResolved`

Constructor Summary
`CurveRef(java.lang.String name)`

Method Summary
`ManageableType` | `getManageableType()`
`java.lang.Object` | `manageableWriteReplace()`

Methods inherited from class de.grogra.rgg.Curve
`dependsOnContext, getDegree, getDimension, getKnot, getSize, getVertex, isRational, resolve, writeStamp`

Methods inherited from class de.grogra.pf.registry.ItemReference
`createItem, equals, getName, hashCode, resolveItem, resolveObject`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, removeReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final CurveRef.Type $TYPE

Constructor Detail

### CurveRef

    public CurveRef(java.lang.String name)

Method Detail

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`
  Overrides:
    `getManageableType` in class `Curve`

### manageableWriteReplace

    public java.lang.Object manageableWriteReplace()

  Specified by:
    `manageableWriteReplace` in interface `Manageable`
  Overrides:
    `manageableWriteReplace` in class `ShareableBase`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD